;;; smart-mode-line-tangomod-theme.el --- tangomod theme for smart-mode-line

;; Copyright (C) 2019 Amin Bandali

;; Author: Amin Bandali <bandali@gnu.org>
;; Version: 0.1.0
;; Package-Requires: ((emacs "24.3") (smart-mode-line "2.10"))
;; Keywords: mode-line themes faces

;;; Commentary:
;;
;; tangomod theme for smart-mode-line

;;; License:
;;
;; This file is NOT part of GNU Emacs.
;;
;; This program is free software; you can redistribute it and/or
;; modify it under the terms of the GNU General Public License
;; as published by the Free Software Foundation; either version 3
;; of the License, or (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;

;;; Code:

(deftheme smart-mode-line-tangomod
  "tangomod theme for smart-mode-line.")

(custom-theme-set-faces
 'smart-mode-line-tangomod
 '(mode-line-buffer-id ((t :inherit sml/filename :foreground nil :background nil)))
 '(mode-line-inactive  ((t :background "#e1e1e1")))
 '(mode-line           ((t :background "#e7e7e7")))
 '(sml/global          ((t :inherit font-lock-preprocessor-face)))
 '(sml/filename        ((t :inherit mode-line-buffer-id)))
 '(sml/modes           ((t :foreground nil :inherit sml/filename :weight normal)))
 '(sml/prefix          ((t :inherit (font-lock-variable-name-face sml/global))))
 '(sml/read-only       ((t :inherit (font-lock-type-face sml/not-modified)))))

;;;###autoload
(when load-file-name
  (add-to-list 'custom-theme-load-path
               (file-name-as-directory (file-name-directory load-file-name))))

(provide-theme 'smart-mode-line-tangomod)
;;; smart-mode-line-tangomod-theme.el ends here.
